Vehicle Repair Estimate API Documentation
Welcome to Vehicle Databases API's Documentation
Vehicle Repair Estimate
GETJSON ResponseOverview
This API provides detailed information about the vehicle parts with price and labor cost at particular mileage Interval.
- COVERAGE
- US region from 1991 to 2025
- SUPPORT
- Works for 17 characters VINs
HTTP Request
Endpoint
https://api.vehicledatabases.com/repair-estimates/{vin}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/repair-estimates/{vin}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
vinRequired- 17 characters VIN number
JSON Response
The response is a JSON of all the information associated with a VIN number or YMMT.
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"year": 2020,
"make": "Honda",
"model": "Civic",
"trim": "EX 4dr Sedan CVT",
"data": [
{
"mileage": "10000",
"items": [
{
"parts": [
{
"type": "Change - Engine oil",
"total_cost": 21.9,
"currency": "USD"
}
],
"labor": [
{
"type": "Change - Engine oil",
"time_required_hours": 0.15,
"hourly_rate": 55,
"total_cost": 8.25,
"currency": "USD"
},
{
"type": "Rotate/adjust air pressure - Wheels & tires",
"time_required_hours": 0.35,
"hourly_rate": 55,
"total_cost": 19.25,
"currency": "USD"
}
],
"total": [
{
"type": "Total Parts Cost",
"total_cost": 21.9,
"currency": "USD"
},
{
"type": "Total Labor Cost",
"total_cost": 27.5,
"currency": "USD"
},
{
"type": "Total Cost",
"total_cost": 49.4,
"currency": "USD"
}
]
}
]
},
{
"mileage": "20000",
"items": [
{
"parts": [
{
"type": "Change - Engine oil",
"total_cost": 21.9,
"currency": "USD"
},
{
"type": "Replace - Oil filter",
"total_cost": 7.3,
"currency": "USD"
}
],
"labor": [
{
"type": "Inspect - Brake lines, hoses & connections",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Inspect - Brakes",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Inspect boots & seals - Drive shaft",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Change - Engine oil",
"time_required_hours": 0.15,
"hourly_rate": 55,
"total_cost": 8.25,
"currency": "USD"
},
{
"type": "Inspect - Exhaust system",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Fluid levels",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Fuel lines, hoses & connections",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Replace - Oil filter",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Inspect/adjust - Parking brake",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Steering gear rack, linkage & boots",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Inspect - Suspension",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Rotate/adjust air pressure - Wheels & tires",
"time_required_hours": 0.35,
"hourly_rate": 55,
"total_cost": 19.25,
"currency": "USD"
}
],
"total": [
{
"type": "Total Parts Cost",
"total_cost": 29.2,
"currency": "USD"
},
{
"type": "Total Labor Cost",
"total_cost": 93.5,
"currency": "USD"
},
{
"type": "Total Cost",
"total_cost": 122.7,
"currency": "USD"
}
]
}
]
},
{
"mileage": "30000",
"items": [
{
"parts": [
{
"type": "Replace - Air filter",
"total_cost": 19.48,
"currency": "USD"
},
{
"type": "Replace - Cabin air filter",
"total_cost": 19.98,
"currency": "USD"
},
{
"type": "Change - Engine oil",
"total_cost": 21.9,
"currency": "USD"
}
],
"labor": [
{
"type": "Replace - Air filter",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Replace - Cabin air filter",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Inspect - Drive belt(s)",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Change - Engine oil",
"time_required_hours": 0.15,
"hourly_rate": 55,
"total_cost": 8.25,
"currency": "USD"
},
{
"type": "Rotate/adjust air pressure - Wheels & tires",
"time_required_hours": 0.35,
"hourly_rate": 55,
"total_cost": 19.25,
"currency": "USD"
}
],
"total": [
{
"type": "Total Parts Cost",
"total_cost": 61.36,
"currency": "USD"
},
{
"type": "Total Labor Cost",
"total_cost": 66.0,
"currency": "USD"
},
{
"type": "Total Cost",
"total_cost": 127.36,
"currency": "USD"
}
]
}
]
},
{
"mileage": "40000",
"items": [
{
"parts": [
{
"type": "Change - Engine oil",
"total_cost": 21.9,
"currency": "USD"
},
{
"type": "Replace - Oil filter",
"total_cost": 7.3,
"currency": "USD"
}
],
"labor": [
{
"type": "Inspect - Brake lines, hoses & connections",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Inspect - Brakes",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Inspect boots & seals - Drive shaft",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Change - Engine oil",
"time_required_hours": 0.15,
"hourly_rate": 55,
"total_cost": 8.25,
"currency": "USD"
},
{
"type": "Inspect - Exhaust system",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Fluid levels",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Fuel lines, hoses & connections",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Replace - Oil filter",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Inspect/adjust - Parking brake",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Steering gear rack, linkage & boots",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Inspect - Suspension",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Rotate/adjust air pressure - Wheels & tires",
"time_required_hours": 0.35,
"hourly_rate": 55,
"total_cost": 19.25,
"currency": "USD"
}
],
"total": [
{
"type": "Total Parts Cost",
"total_cost": 29.2,
"currency": "USD"
},
{
"type": "Total Labor Cost",
"total_cost": 93.5,
"currency": "USD"
},
{
"type": "Total Cost",
"total_cost": 122.7,
"currency": "USD"
}
]
}
]
},
{
"mileage": "45000",
"items": [
{
"parts": [
{
"type": "Flush/replace - Brake fluid",
"total_cost": 11.8,
"currency": "USD"
}
],
"labor": [
{
"type": "Flush/replace - Brake fluid",
"time_required_hours": 0.7,
"hourly_rate": 55,
"total_cost": 38.5,
"currency": "USD"
}
],
"total": [
{
"type": "Total Parts Cost",
"total_cost": 11.8,
"currency": "USD"
},
{
"type": "Total Labor Cost",
"total_cost": 38.5,
"currency": "USD"
},
{
"type": "Total Cost",
"total_cost": 50.3,
"currency": "USD"
}
]
}
]
},
{
"mileage": "50000",
"items": [
{
"parts": [
{
"type": "Change - Engine oil",
"total_cost": 21.9,
"currency": "USD"
}
],
"labor": [
{
"type": "Change - Engine oil",
"time_required_hours": 0.15,
"hourly_rate": 55,
"total_cost": 8.25,
"currency": "USD"
},
{
"type": "Rotate/adjust air pressure - Wheels & tires",
"time_required_hours": 0.35,
"hourly_rate": 55,
"total_cost": 19.25,
"currency": "USD"
}
],
"total": [
{
"type": "Total Parts Cost",
"total_cost": 21.9,
"currency": "USD"
},
{
"type": "Total Labor Cost",
"total_cost": 27.5,
"currency": "USD"
},
{
"type": "Total Cost",
"total_cost": 49.4,
"currency": "USD"
}
]
}
]
},
{
"mileage": "60000",
"items": [
{
"parts": [
{
"type": "Replace - Air filter",
"total_cost": 19.48,
"currency": "USD"
},
{
"type": "Change - Automatic transmission fluid",
"total_cost": 45.05,
"currency": "USD"
},
{
"type": "Replace - Cabin air filter",
"total_cost": 19.98,
"currency": "USD"
},
{
"type": "Change - Engine oil",
"total_cost": 21.9,
"currency": "USD"
},
{
"type": "Replace - Oil filter",
"total_cost": 7.3,
"currency": "USD"
}
],
"labor": [
{
"type": "Replace - Air filter",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Change - Automatic transmission fluid",
"time_required_hours": 0.5,
"hourly_rate": 55,
"total_cost": 27.5,
"currency": "USD"
},
{
"type": "Inspect - Brake lines, hoses & connections",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Inspect - Brakes",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Replace - Cabin air filter",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Inspect - Drive belt(s)",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Inspect boots & seals - Drive shaft",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Change - Engine oil",
"time_required_hours": 0.15,
"hourly_rate": 55,
"total_cost": 8.25,
"currency": "USD"
},
{
"type": "Inspect - Exhaust system",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Fluid levels",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Fuel lines, hoses & connections",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Replace - Oil filter",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Inspect/adjust - Parking brake",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Steering gear rack, linkage & boots",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Inspect - Suspension",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Rotate/adjust air pressure - Wheels & tires",
"time_required_hours": 0.35,
"hourly_rate": 55,
"total_cost": 19.25,
"currency": "USD"
}
],
"total": [
{
"type": "Total Parts Cost",
"total_cost": 113.71,
"currency": "USD"
},
{
"type": "Total Labor Cost",
"total_cost": 159.5,
"currency": "USD"
},
{
"type": "Total Cost",
"total_cost": 273.21,
"currency": "USD"
}
]
}
]
},
{
"mileage": "70000",
"items": [
{
"parts": [
{
"type": "Change - Engine oil",
"total_cost": 21.9,
"currency": "USD"
}
],
"labor": [
{
"type": "Change - Engine oil",
"time_required_hours": 0.15,
"hourly_rate": 55,
"total_cost": 8.25,
"currency": "USD"
},
{
"type": "Rotate/adjust air pressure - Wheels & tires",
"time_required_hours": 0.35,
"hourly_rate": 55,
"total_cost": 19.25,
"currency": "USD"
}
],
"total": [
{
"type": "Total Parts Cost",
"total_cost": 21.9,
"currency": "USD"
},
{
"type": "Total Labor Cost",
"total_cost": 27.5,
"currency": "USD"
},
{
"type": "Total Cost",
"total_cost": 49.4,
"currency": "USD"
}
]
}
]
},
{
"mileage": "80000",
"items": [
{
"parts": [
{
"type": "Change - Engine oil",
"total_cost": 21.9,
"currency": "USD"
},
{
"type": "Replace - Oil filter",
"total_cost": 7.3,
"currency": "USD"
}
],
"labor": [
{
"type": "Inspect - Brake lines, hoses & connections",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Inspect - Brakes",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Inspect boots & seals - Drive shaft",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Change - Engine oil",
"time_required_hours": 0.15,
"hourly_rate": 55,
"total_cost": 8.25,
"currency": "USD"
},
{
"type": "Inspect - Exhaust system",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Fluid levels",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Fuel lines, hoses & connections",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Replace - Oil filter",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Inspect/adjust - Parking brake",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Steering gear rack, linkage & boots",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Inspect - Suspension",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Rotate/adjust air pressure - Wheels & tires",
"time_required_hours": 0.35,
"hourly_rate": 55,
"total_cost": 19.25,
"currency": "USD"
}
],
"total": [
{
"type": "Total Parts Cost",
"total_cost": 29.2,
"currency": "USD"
},
{
"type": "Total Labor Cost",
"total_cost": 93.5,
"currency": "USD"
},
{
"type": "Total Cost",
"total_cost": 122.7,
"currency": "USD"
}
]
}
]
},
{
"mileage": "90000",
"items": [
{
"parts": [
{
"type": "Replace - Air filter",
"total_cost": 19.48,
"currency": "USD"
},
{
"type": "Flush/replace - Brake fluid",
"total_cost": 11.8,
"currency": "USD"
},
{
"type": "Replace - Cabin air filter",
"total_cost": 19.98,
"currency": "USD"
},
{
"type": "Change - Engine oil",
"total_cost": 21.9,
"currency": "USD"
},
{
"type": "Replace - Spark plugs",
"total_cost": 101.48,
"currency": "USD"
}
],
"labor": [
{
"type": "Replace - Air filter",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Flush/replace - Brake fluid",
"time_required_hours": 0.7,
"hourly_rate": 55,
"total_cost": 38.5,
"currency": "USD"
},
{
"type": "Replace - Cabin air filter",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Inspect - Drive belt(s)",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Change - Engine oil",
"time_required_hours": 0.15,
"hourly_rate": 55,
"total_cost": 8.25,
"currency": "USD"
},
{
"type": "Replace - Spark plugs",
"time_required_hours": 0.5,
"hourly_rate": 55,
"total_cost": 27.5,
"currency": "USD"
},
{
"type": "Inspect - Valve clearance",
"time_required_hours": 0.2,
"hourly_rate": 55,
"total_cost": 11.0,
"currency": "USD"
},
{
"type": "Rotate/adjust air pressure - Wheels & tires",
"time_required_hours": 0.35,
"hourly_rate": 55,
"total_cost": 19.25,
"currency": "USD"
}
],
"total": [
{
"type": "Total Parts Cost",
"total_cost": 174.64,
"currency": "USD"
},
{
"type": "Total Labor Cost",
"total_cost": 143.0,
"currency": "USD"
},
{
"type": "Total Cost",
"total_cost": 317.64,
"currency": "USD"
}
]
}
]
},
{
"mileage": "100000",
"items": [
{
"parts": [
{
"type": "Change - Engine oil",
"total_cost": 21.9,
"currency": "USD"
},
{
"type": "Replace - Oil filter",
"total_cost": 7.3,
"currency": "USD"
}
],
"labor": [
{
"type": "Inspect - Brake lines, hoses & connections",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Inspect - Brakes",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Inspect boots & seals - Drive shaft",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Change - Engine oil",
"time_required_hours": 0.15,
"hourly_rate": 55,
"total_cost": 8.25,
"currency": "USD"
},
{
"type": "Inspect - Exhaust system",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Fluid levels",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Fuel lines, hoses & connections",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Replace - Oil filter",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Inspect/adjust - Parking brake",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Steering gear rack, linkage & boots",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Inspect - Suspension",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Rotate/adjust air pressure - Wheels & tires",
"time_required_hours": 0.35,
"hourly_rate": 55,
"total_cost": 19.25,
"currency": "USD"
}
],
"total": [
{
"type": "Total Parts Cost",
"total_cost": 29.2,
"currency": "USD"
},
{
"type": "Total Labor Cost",
"total_cost": 93.5,
"currency": "USD"
},
{
"type": "Total Cost",
"total_cost": 122.7,
"currency": "USD"
}
]
}
]
},
{
"mileage": "110000",
"items": [
{
"parts": [
{
"type": "Change - Engine oil",
"total_cost": 21.9,
"currency": "USD"
}
],
"labor": [
{
"type": "Change - Engine oil",
"time_required_hours": 0.15,
"hourly_rate": 55,
"total_cost": 8.25,
"currency": "USD"
},
{
"type": "Rotate/adjust air pressure - Wheels & tires",
"time_required_hours": 0.35,
"hourly_rate": 55,
"total_cost": 19.25,
"currency": "USD"
}
],
"total": [
{
"type": "Total Parts Cost",
"total_cost": 21.9,
"currency": "USD"
},
{
"type": "Total Labor Cost",
"total_cost": 27.5,
"currency": "USD"
},
{
"type": "Total Cost",
"total_cost": 49.4,
"currency": "USD"
}
]
}
]
},
{
"mileage": "120000",
"items": [
{
"parts": [
{
"type": "Replace - Air filter",
"total_cost": 19.48,
"currency": "USD"
},
{
"type": "Change - Automatic transmission fluid",
"total_cost": 45.05,
"currency": "USD"
},
{
"type": "Replace - Cabin air filter",
"total_cost": 19.98,
"currency": "USD"
},
{
"type": "Flush/replace - Coolant",
"total_cost": 24.64,
"currency": "USD"
},
{
"type": "Change - Engine oil",
"total_cost": 21.9,
"currency": "USD"
},
{
"type": "Replace - Oil filter",
"total_cost": 7.3,
"currency": "USD"
}
],
"labor": [
{
"type": "Replace - Air filter",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Change - Automatic transmission fluid",
"time_required_hours": 0.5,
"hourly_rate": 55,
"total_cost": 27.5,
"currency": "USD"
},
{
"type": "Inspect - Brake lines, hoses & connections",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Inspect - Brakes",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Replace - Cabin air filter",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Flush/replace - Coolant",
"time_required_hours": 0.7,
"hourly_rate": 55,
"total_cost": 38.5,
"currency": "USD"
},
{
"type": "Inspect - Drive belt(s)",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Inspect boots & seals - Drive shaft",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Change - Engine oil",
"time_required_hours": 0.15,
"hourly_rate": 55,
"total_cost": 8.25,
"currency": "USD"
},
{
"type": "Inspect - Exhaust system",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Fluid levels",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Fuel lines, hoses & connections",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Replace - Oil filter",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Inspect/adjust - Parking brake",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Steering gear rack, linkage & boots",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Inspect - Suspension",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Rotate/adjust air pressure - Wheels & tires",
"time_required_hours": 0.35,
"hourly_rate": 55,
"total_cost": 19.25,
"currency": "USD"
}
],
"total": [
{
"type": "Total Parts Cost",
"total_cost": 138.35,
"currency": "USD"
},
{
"type": "Total Labor Cost",
"total_cost": 198.0,
"currency": "USD"
},
{
"type": "Total Cost",
"total_cost": 336.35,
"currency": "USD"
}
]
}
]
},
{
"mileage": "130000",
"items": [
{
"parts": [
{
"type": "Change - Engine oil",
"total_cost": 21.9,
"currency": "USD"
}
],
"labor": [
{
"type": "Change - Engine oil",
"time_required_hours": 0.15,
"hourly_rate": 55,
"total_cost": 8.25,
"currency": "USD"
},
{
"type": "Rotate/adjust air pressure - Wheels & tires",
"time_required_hours": 0.35,
"hourly_rate": 55,
"total_cost": 19.25,
"currency": "USD"
}
],
"total": [
{
"type": "Total Parts Cost",
"total_cost": 21.9,
"currency": "USD"
},
{
"type": "Total Labor Cost",
"total_cost": 27.5,
"currency": "USD"
},
{
"type": "Total Cost",
"total_cost": 49.4,
"currency": "USD"
}
]
}
]
},
{
"mileage": "135000",
"items": [
{
"parts": [
{
"type": "Flush/replace - Brake fluid",
"total_cost": 11.8,
"currency": "USD"
}
],
"labor": [
{
"type": "Flush/replace - Brake fluid",
"time_required_hours": 0.7,
"hourly_rate": 55,
"total_cost": 38.5,
"currency": "USD"
}
],
"total": [
{
"type": "Total Parts Cost",
"total_cost": 11.8,
"currency": "USD"
},
{
"type": "Total Labor Cost",
"total_cost": 38.5,
"currency": "USD"
},
{
"type": "Total Cost",
"total_cost": 50.3,
"currency": "USD"
}
]
}
]
},
{
"mileage": "140000",
"items": [
{
"parts": [
{
"type": "Change - Engine oil",
"total_cost": 21.9,
"currency": "USD"
},
{
"type": "Replace - Oil filter",
"total_cost": 7.3,
"currency": "USD"
}
],
"labor": [
{
"type": "Inspect - Brake lines, hoses & connections",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Inspect - Brakes",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Inspect boots & seals - Drive shaft",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Change - Engine oil",
"time_required_hours": 0.15,
"hourly_rate": 55,
"total_cost": 8.25,
"currency": "USD"
},
{
"type": "Inspect - Exhaust system",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Fluid levels",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Fuel lines, hoses & connections",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Replace - Oil filter",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Inspect/adjust - Parking brake",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Steering gear rack, linkage & boots",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Inspect - Suspension",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Rotate/adjust air pressure - Wheels & tires",
"time_required_hours": 0.35,
"hourly_rate": 55,
"total_cost": 19.25,
"currency": "USD"
}
],
"total": [
{
"type": "Total Parts Cost",
"total_cost": 29.2,
"currency": "USD"
},
{
"type": "Total Labor Cost",
"total_cost": 93.5,
"currency": "USD"
},
{
"type": "Total Cost",
"total_cost": 122.7,
"currency": "USD"
}
]
}
]
},
{
"mileage": "150000",
"items": [
{
"parts": [
{
"type": "Replace - Air filter",
"total_cost": 19.48,
"currency": "USD"
},
{
"type": "Replace - Cabin air filter",
"total_cost": 19.98,
"currency": "USD"
},
{
"type": "Change - Engine oil",
"total_cost": 21.9,
"currency": "USD"
}
],
"labor": [
{
"type": "Replace - Air filter",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Replace - Cabin air filter",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Inspect - Drive belt(s)",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Change - Engine oil",
"time_required_hours": 0.15,
"hourly_rate": 55,
"total_cost": 8.25,
"currency": "USD"
},
{
"type": "Rotate/adjust air pressure - Wheels & tires",
"time_required_hours": 0.35,
"hourly_rate": 55,
"total_cost": 19.25,
"currency": "USD"
}
],
"total": [
{
"type": "Total Parts Cost",
"total_cost": 61.36,
"currency": "USD"
},
{
"type": "Total Labor Cost",
"total_cost": 66.0,
"currency": "USD"
},
{
"type": "Total Cost",
"total_cost": 127.36,
"currency": "USD"
}
]
}
]
}
]
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Vehicle Repair Estimate
GETJSON ResponseOverview
This API provides detailed information about the vehicle parts with price and labor cost at particular mileage interval
- COVERAGE
- US region
- SUPPORT
- Works for US region vehicles from 1991 to 2025
HTTP Request
Endpoint
https://api.vehicledatabases.com/repair-estimates/{year}/{make}/{model}/{trim}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/repair-estimates/{year}/{make}/{model}/{trim}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
yearRequired- Vehicle Year
makeRequired- Vehicle Make
modelRequired- Vehicle Model
trimRequired- Vehicle Trim
JSON Response
The response is a JSON of all the information associated with a VIN number or YMMT.
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"year": 2020,
"make": "Honda",
"model": "Civic",
"trim": "EX 4dr Sedan CVT",
"data": [
{
"mileage": "10000",
"items": [
{
"parts": [
{
"type": "Change - Engine oil",
"total_cost": 21.9,
"currency": "USD"
}
],
"labor": [
{
"type": "Change - Engine oil",
"time_required_hours": 0.15,
"hourly_rate": 55,
"total_cost": 8.25,
"currency": "USD"
},
{
"type": "Rotate/adjust air pressure - Wheels & tires",
"time_required_hours": 0.35,
"hourly_rate": 55,
"total_cost": 19.25,
"currency": "USD"
}
],
"total": [
{
"type": "Total Parts Cost",
"total_cost": 21.9,
"currency": "USD"
},
{
"type": "Total Labor Cost",
"total_cost": 27.5,
"currency": "USD"
},
{
"type": "Total Cost",
"total_cost": 49.4,
"currency": "USD"
}
]
}
]
},
{
"mileage": "20000",
"items": [
{
"parts": [
{
"type": "Change - Engine oil",
"total_cost": 21.9,
"currency": "USD"
},
{
"type": "Replace - Oil filter",
"total_cost": 7.3,
"currency": "USD"
}
],
"labor": [
{
"type": "Inspect - Brake lines, hoses & connections",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Inspect - Brakes",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Inspect boots & seals - Drive shaft",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Change - Engine oil",
"time_required_hours": 0.15,
"hourly_rate": 55,
"total_cost": 8.25,
"currency": "USD"
},
{
"type": "Inspect - Exhaust system",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Fluid levels",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Fuel lines, hoses & connections",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Replace - Oil filter",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Inspect/adjust - Parking brake",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Steering gear rack, linkage & boots",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Inspect - Suspension",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Rotate/adjust air pressure - Wheels & tires",
"time_required_hours": 0.35,
"hourly_rate": 55,
"total_cost": 19.25,
"currency": "USD"
}
],
"total": [
{
"type": "Total Parts Cost",
"total_cost": 29.2,
"currency": "USD"
},
{
"type": "Total Labor Cost",
"total_cost": 93.5,
"currency": "USD"
},
{
"type": "Total Cost",
"total_cost": 122.7,
"currency": "USD"
}
]
}
]
},
{
"mileage": "30000",
"items": [
{
"parts": [
{
"type": "Replace - Air filter",
"total_cost": 19.48,
"currency": "USD"
},
{
"type": "Replace - Cabin air filter",
"total_cost": 19.98,
"currency": "USD"
},
{
"type": "Change - Engine oil",
"total_cost": 21.9,
"currency": "USD"
}
],
"labor": [
{
"type": "Replace - Air filter",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Replace - Cabin air filter",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Inspect - Drive belt(s)",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Change - Engine oil",
"time_required_hours": 0.15,
"hourly_rate": 55,
"total_cost": 8.25,
"currency": "USD"
},
{
"type": "Rotate/adjust air pressure - Wheels & tires",
"time_required_hours": 0.35,
"hourly_rate": 55,
"total_cost": 19.25,
"currency": "USD"
}
],
"total": [
{
"type": "Total Parts Cost",
"total_cost": 61.36,
"currency": "USD"
},
{
"type": "Total Labor Cost",
"total_cost": 66.0,
"currency": "USD"
},
{
"type": "Total Cost",
"total_cost": 127.36,
"currency": "USD"
}
]
}
]
},
{
"mileage": "40000",
"items": [
{
"parts": [
{
"type": "Change - Engine oil",
"total_cost": 21.9,
"currency": "USD"
},
{
"type": "Replace - Oil filter",
"total_cost": 7.3,
"currency": "USD"
}
],
"labor": [
{
"type": "Inspect - Brake lines, hoses & connections",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Inspect - Brakes",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Inspect boots & seals - Drive shaft",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Change - Engine oil",
"time_required_hours": 0.15,
"hourly_rate": 55,
"total_cost": 8.25,
"currency": "USD"
},
{
"type": "Inspect - Exhaust system",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Fluid levels",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Fuel lines, hoses & connections",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Replace - Oil filter",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Inspect/adjust - Parking brake",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Steering gear rack, linkage & boots",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Inspect - Suspension",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Rotate/adjust air pressure - Wheels & tires",
"time_required_hours": 0.35,
"hourly_rate": 55,
"total_cost": 19.25,
"currency": "USD"
}
],
"total": [
{
"type": "Total Parts Cost",
"total_cost": 29.2,
"currency": "USD"
},
{
"type": "Total Labor Cost",
"total_cost": 93.5,
"currency": "USD"
},
{
"type": "Total Cost",
"total_cost": 122.7,
"currency": "USD"
}
]
}
]
},
{
"mileage": "45000",
"items": [
{
"parts": [
{
"type": "Flush/replace - Brake fluid",
"total_cost": 11.8,
"currency": "USD"
}
],
"labor": [
{
"type": "Flush/replace - Brake fluid",
"time_required_hours": 0.7,
"hourly_rate": 55,
"total_cost": 38.5,
"currency": "USD"
}
],
"total": [
{
"type": "Total Parts Cost",
"total_cost": 11.8,
"currency": "USD"
},
{
"type": "Total Labor Cost",
"total_cost": 38.5,
"currency": "USD"
},
{
"type": "Total Cost",
"total_cost": 50.3,
"currency": "USD"
}
]
}
]
},
{
"mileage": "50000",
"items": [
{
"parts": [
{
"type": "Change - Engine oil",
"total_cost": 21.9,
"currency": "USD"
}
],
"labor": [
{
"type": "Change - Engine oil",
"time_required_hours": 0.15,
"hourly_rate": 55,
"total_cost": 8.25,
"currency": "USD"
},
{
"type": "Rotate/adjust air pressure - Wheels & tires",
"time_required_hours": 0.35,
"hourly_rate": 55,
"total_cost": 19.25,
"currency": "USD"
}
],
"total": [
{
"type": "Total Parts Cost",
"total_cost": 21.9,
"currency": "USD"
},
{
"type": "Total Labor Cost",
"total_cost": 27.5,
"currency": "USD"
},
{
"type": "Total Cost",
"total_cost": 49.4,
"currency": "USD"
}
]
}
]
},
{
"mileage": "60000",
"items": [
{
"parts": [
{
"type": "Replace - Air filter",
"total_cost": 19.48,
"currency": "USD"
},
{
"type": "Change - Automatic transmission fluid",
"total_cost": 45.05,
"currency": "USD"
},
{
"type": "Replace - Cabin air filter",
"total_cost": 19.98,
"currency": "USD"
},
{
"type": "Change - Engine oil",
"total_cost": 21.9,
"currency": "USD"
},
{
"type": "Replace - Oil filter",
"total_cost": 7.3,
"currency": "USD"
}
],
"labor": [
{
"type": "Replace - Air filter",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Change - Automatic transmission fluid",
"time_required_hours": 0.5,
"hourly_rate": 55,
"total_cost": 27.5,
"currency": "USD"
},
{
"type": "Inspect - Brake lines, hoses & connections",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Inspect - Brakes",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Replace - Cabin air filter",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Inspect - Drive belt(s)",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Inspect boots & seals - Drive shaft",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Change - Engine oil",
"time_required_hours": 0.15,
"hourly_rate": 55,
"total_cost": 8.25,
"currency": "USD"
},
{
"type": "Inspect - Exhaust system",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Fluid levels",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Fuel lines, hoses & connections",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Replace - Oil filter",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Inspect/adjust - Parking brake",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Steering gear rack, linkage & boots",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Inspect - Suspension",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Rotate/adjust air pressure - Wheels & tires",
"time_required_hours": 0.35,
"hourly_rate": 55,
"total_cost": 19.25,
"currency": "USD"
}
],
"total": [
{
"type": "Total Parts Cost",
"total_cost": 113.71,
"currency": "USD"
},
{
"type": "Total Labor Cost",
"total_cost": 159.5,
"currency": "USD"
},
{
"type": "Total Cost",
"total_cost": 273.21,
"currency": "USD"
}
]
}
]
},
{
"mileage": "70000",
"items": [
{
"parts": [
{
"type": "Change - Engine oil",
"total_cost": 21.9,
"currency": "USD"
}
],
"labor": [
{
"type": "Change - Engine oil",
"time_required_hours": 0.15,
"hourly_rate": 55,
"total_cost": 8.25,
"currency": "USD"
},
{
"type": "Rotate/adjust air pressure - Wheels & tires",
"time_required_hours": 0.35,
"hourly_rate": 55,
"total_cost": 19.25,
"currency": "USD"
}
],
"total": [
{
"type": "Total Parts Cost",
"total_cost": 21.9,
"currency": "USD"
},
{
"type": "Total Labor Cost",
"total_cost": 27.5,
"currency": "USD"
},
{
"type": "Total Cost",
"total_cost": 49.4,
"currency": "USD"
}
]
}
]
},
{
"mileage": "80000",
"items": [
{
"parts": [
{
"type": "Change - Engine oil",
"total_cost": 21.9,
"currency": "USD"
},
{
"type": "Replace - Oil filter",
"total_cost": 7.3,
"currency": "USD"
}
],
"labor": [
{
"type": "Inspect - Brake lines, hoses & connections",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Inspect - Brakes",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Inspect boots & seals - Drive shaft",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Change - Engine oil",
"time_required_hours": 0.15,
"hourly_rate": 55,
"total_cost": 8.25,
"currency": "USD"
},
{
"type": "Inspect - Exhaust system",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Fluid levels",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Fuel lines, hoses & connections",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Replace - Oil filter",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Inspect/adjust - Parking brake",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Steering gear rack, linkage & boots",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Inspect - Suspension",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Rotate/adjust air pressure - Wheels & tires",
"time_required_hours": 0.35,
"hourly_rate": 55,
"total_cost": 19.25,
"currency": "USD"
}
],
"total": [
{
"type": "Total Parts Cost",
"total_cost": 29.2,
"currency": "USD"
},
{
"type": "Total Labor Cost",
"total_cost": 93.5,
"currency": "USD"
},
{
"type": "Total Cost",
"total_cost": 122.7,
"currency": "USD"
}
]
}
]
},
{
"mileage": "90000",
"items": [
{
"parts": [
{
"type": "Replace - Air filter",
"total_cost": 19.48,
"currency": "USD"
},
{
"type": "Flush/replace - Brake fluid",
"total_cost": 11.8,
"currency": "USD"
},
{
"type": "Replace - Cabin air filter",
"total_cost": 19.98,
"currency": "USD"
},
{
"type": "Change - Engine oil",
"total_cost": 21.9,
"currency": "USD"
},
{
"type": "Replace - Spark plugs",
"total_cost": 101.48,
"currency": "USD"
}
],
"labor": [
{
"type": "Replace - Air filter",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Flush/replace - Brake fluid",
"time_required_hours": 0.7,
"hourly_rate": 55,
"total_cost": 38.5,
"currency": "USD"
},
{
"type": "Replace - Cabin air filter",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Inspect - Drive belt(s)",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Change - Engine oil",
"time_required_hours": 0.15,
"hourly_rate": 55,
"total_cost": 8.25,
"currency": "USD"
},
{
"type": "Replace - Spark plugs",
"time_required_hours": 0.5,
"hourly_rate": 55,
"total_cost": 27.5,
"currency": "USD"
},
{
"type": "Inspect - Valve clearance",
"time_required_hours": 0.2,
"hourly_rate": 55,
"total_cost": 11.0,
"currency": "USD"
},
{
"type": "Rotate/adjust air pressure - Wheels & tires",
"time_required_hours": 0.35,
"hourly_rate": 55,
"total_cost": 19.25,
"currency": "USD"
}
],
"total": [
{
"type": "Total Parts Cost",
"total_cost": 174.64,
"currency": "USD"
},
{
"type": "Total Labor Cost",
"total_cost": 143.0,
"currency": "USD"
},
{
"type": "Total Cost",
"total_cost": 317.64,
"currency": "USD"
}
]
}
]
},
{
"mileage": "100000",
"items": [
{
"parts": [
{
"type": "Change - Engine oil",
"total_cost": 21.9,
"currency": "USD"
},
{
"type": "Replace - Oil filter",
"total_cost": 7.3,
"currency": "USD"
}
],
"labor": [
{
"type": "Inspect - Brake lines, hoses & connections",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Inspect - Brakes",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Inspect boots & seals - Drive shaft",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Change - Engine oil",
"time_required_hours": 0.15,
"hourly_rate": 55,
"total_cost": 8.25,
"currency": "USD"
},
{
"type": "Inspect - Exhaust system",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Fluid levels",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Fuel lines, hoses & connections",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Replace - Oil filter",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Inspect/adjust - Parking brake",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Steering gear rack, linkage & boots",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Inspect - Suspension",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Rotate/adjust air pressure - Wheels & tires",
"time_required_hours": 0.35,
"hourly_rate": 55,
"total_cost": 19.25,
"currency": "USD"
}
],
"total": [
{
"type": "Total Parts Cost",
"total_cost": 29.2,
"currency": "USD"
},
{
"type": "Total Labor Cost",
"total_cost": 93.5,
"currency": "USD"
},
{
"type": "Total Cost",
"total_cost": 122.7,
"currency": "USD"
}
]
}
]
},
{
"mileage": "110000",
"items": [
{
"parts": [
{
"type": "Change - Engine oil",
"total_cost": 21.9,
"currency": "USD"
}
],
"labor": [
{
"type": "Change - Engine oil",
"time_required_hours": 0.15,
"hourly_rate": 55,
"total_cost": 8.25,
"currency": "USD"
},
{
"type": "Rotate/adjust air pressure - Wheels & tires",
"time_required_hours": 0.35,
"hourly_rate": 55,
"total_cost": 19.25,
"currency": "USD"
}
],
"total": [
{
"type": "Total Parts Cost",
"total_cost": 21.9,
"currency": "USD"
},
{
"type": "Total Labor Cost",
"total_cost": 27.5,
"currency": "USD"
},
{
"type": "Total Cost",
"total_cost": 49.4,
"currency": "USD"
}
]
}
]
},
{
"mileage": "120000",
"items": [
{
"parts": [
{
"type": "Replace - Air filter",
"total_cost": 19.48,
"currency": "USD"
},
{
"type": "Change - Automatic transmission fluid",
"total_cost": 45.05,
"currency": "USD"
},
{
"type": "Replace - Cabin air filter",
"total_cost": 19.98,
"currency": "USD"
},
{
"type": "Flush/replace - Coolant",
"total_cost": 24.64,
"currency": "USD"
},
{
"type": "Change - Engine oil",
"total_cost": 21.9,
"currency": "USD"
},
{
"type": "Replace - Oil filter",
"total_cost": 7.3,
"currency": "USD"
}
],
"labor": [
{
"type": "Replace - Air filter",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Change - Automatic transmission fluid",
"time_required_hours": 0.5,
"hourly_rate": 55,
"total_cost": 27.5,
"currency": "USD"
},
{
"type": "Inspect - Brake lines, hoses & connections",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Inspect - Brakes",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Replace - Cabin air filter",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Flush/replace - Coolant",
"time_required_hours": 0.7,
"hourly_rate": 55,
"total_cost": 38.5,
"currency": "USD"
},
{
"type": "Inspect - Drive belt(s)",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Inspect boots & seals - Drive shaft",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Change - Engine oil",
"time_required_hours": 0.15,
"hourly_rate": 55,
"total_cost": 8.25,
"currency": "USD"
},
{
"type": "Inspect - Exhaust system",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Fluid levels",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Fuel lines, hoses & connections",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Replace - Oil filter",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Inspect/adjust - Parking brake",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Steering gear rack, linkage & boots",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Inspect - Suspension",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Rotate/adjust air pressure - Wheels & tires",
"time_required_hours": 0.35,
"hourly_rate": 55,
"total_cost": 19.25,
"currency": "USD"
}
],
"total": [
{
"type": "Total Parts Cost",
"total_cost": 138.35,
"currency": "USD"
},
{
"type": "Total Labor Cost",
"total_cost": 198.0,
"currency": "USD"
},
{
"type": "Total Cost",
"total_cost": 336.35,
"currency": "USD"
}
]
}
]
},
{
"mileage": "130000",
"items": [
{
"parts": [
{
"type": "Change - Engine oil",
"total_cost": 21.9,
"currency": "USD"
}
],
"labor": [
{
"type": "Change - Engine oil",
"time_required_hours": 0.15,
"hourly_rate": 55,
"total_cost": 8.25,
"currency": "USD"
},
{
"type": "Rotate/adjust air pressure - Wheels & tires",
"time_required_hours": 0.35,
"hourly_rate": 55,
"total_cost": 19.25,
"currency": "USD"
}
],
"total": [
{
"type": "Total Parts Cost",
"total_cost": 21.9,
"currency": "USD"
},
{
"type": "Total Labor Cost",
"total_cost": 27.5,
"currency": "USD"
},
{
"type": "Total Cost",
"total_cost": 49.4,
"currency": "USD"
}
]
}
]
},
{
"mileage": "135000",
"items": [
{
"parts": [
{
"type": "Flush/replace - Brake fluid",
"total_cost": 11.8,
"currency": "USD"
}
],
"labor": [
{
"type": "Flush/replace - Brake fluid",
"time_required_hours": 0.7,
"hourly_rate": 55,
"total_cost": 38.5,
"currency": "USD"
}
],
"total": [
{
"type": "Total Parts Cost",
"total_cost": 11.8,
"currency": "USD"
},
{
"type": "Total Labor Cost",
"total_cost": 38.5,
"currency": "USD"
},
{
"type": "Total Cost",
"total_cost": 50.3,
"currency": "USD"
}
]
}
]
},
{
"mileage": "140000",
"items": [
{
"parts": [
{
"type": "Change - Engine oil",
"total_cost": 21.9,
"currency": "USD"
},
{
"type": "Replace - Oil filter",
"total_cost": 7.3,
"currency": "USD"
}
],
"labor": [
{
"type": "Inspect - Brake lines, hoses & connections",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Inspect - Brakes",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Inspect boots & seals - Drive shaft",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Change - Engine oil",
"time_required_hours": 0.15,
"hourly_rate": 55,
"total_cost": 8.25,
"currency": "USD"
},
{
"type": "Inspect - Exhaust system",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Fluid levels",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Fuel lines, hoses & connections",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Replace - Oil filter",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Inspect/adjust - Parking brake",
"time_required_hours": 0.05,
"hourly_rate": 55,
"total_cost": 2.75,
"currency": "USD"
},
{
"type": "Inspect - Steering gear rack, linkage & boots",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Inspect - Suspension",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Rotate/adjust air pressure - Wheels & tires",
"time_required_hours": 0.35,
"hourly_rate": 55,
"total_cost": 19.25,
"currency": "USD"
}
],
"total": [
{
"type": "Total Parts Cost",
"total_cost": 29.2,
"currency": "USD"
},
{
"type": "Total Labor Cost",
"total_cost": 93.5,
"currency": "USD"
},
{
"type": "Total Cost",
"total_cost": 122.7,
"currency": "USD"
}
]
}
]
},
{
"mileage": "150000",
"items": [
{
"parts": [
{
"type": "Replace - Air filter",
"total_cost": 19.48,
"currency": "USD"
},
{
"type": "Replace - Cabin air filter",
"total_cost": 19.98,
"currency": "USD"
},
{
"type": "Change - Engine oil",
"total_cost": 21.9,
"currency": "USD"
}
],
"labor": [
{
"type": "Replace - Air filter",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Replace - Cabin air filter",
"time_required_hours": 0.3,
"hourly_rate": 55,
"total_cost": 16.5,
"currency": "USD"
},
{
"type": "Inspect - Drive belt(s)",
"time_required_hours": 0.1,
"hourly_rate": 55,
"total_cost": 5.5,
"currency": "USD"
},
{
"type": "Change - Engine oil",
"time_required_hours": 0.15,
"hourly_rate": 55,
"total_cost": 8.25,
"currency": "USD"
},
{
"type": "Rotate/adjust air pressure - Wheels & tires",
"time_required_hours": 0.35,
"hourly_rate": 55,
"total_cost": 19.25,
"currency": "USD"
}
],
"total": [
{
"type": "Total Parts Cost",
"total_cost": 61.36,
"currency": "USD"
},
{
"type": "Total Labor Cost",
"total_cost": 66.0,
"currency": "USD"
},
{
"type": "Total Cost",
"total_cost": 127.36,
"currency": "USD"
}
]
}
]
}
]
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Vehicle Repair Estimate
GETJSON ResponseOverview
The Year Options API returns a list of all available vehicle years in the database.
- RETURNS
- Array of available years as strings
- SUPPORT
- Works for vehicles from 1894 to 2025
HTTP Request
Endpoint
https://api.vehicledatabases.com/repair-estimates/options/yearRequest
import requests
response = requests.get(
"https://api.vehicledatabases.com/repair-estimates/options/year",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())JSON Response
The response is a JSON of all the information associated with a VIN number or YMMT.
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"years": [
1990,
1991,
1992,
1993,
1994,
1995,
1996,
1997,
1998,
1999,
2000,
2001,
2002,
2003,
2004,
2005,
2006,
2007,
2008,
2009,
2010,
2011,
2012,
2013,
2014,
2015,
2016,
2017,
2018,
2019,
2020,
2021,
2022,
2023,
2024,
2025
]
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Vehicle Repair Estimate
GETJSON ResponseOverview
The Make Options API returns a list of all available vehicle makes for a specific year. Use this endpoint after the user selects a year.
- RETURNS
- Array of available makes for the specified year
- REQUIRED
- Year parameter in the URL path
HTTP Request
Endpoint
https://api.vehicledatabases.com/repair-estimates/options/make/{year}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/repair-estimates/options/make/{year}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
yearRequired- Vehicle Year
JSON Response
The response is a JSON of all the information associated with a VIN number or YMMT.
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"year": "2020",
"makes": [
"Acura",
"Alfa Romeo",
"Audi",
"BMW",
"Buick",
"Cadillac",
"Chevrolet",
"Chrysler",
"Dodge",
"Fiat",
"Ford",
"GMC",
"Genesis",
"Honda",
"Hyundai",
"Infiniti",
"Jaguar",
"Jeep",
"KIA",
"Land Rover",
"Lexus",
"Lincoln",
"Mazda",
"Mercedes Benz",
"Mini",
"Mitsubishi",
"Nissan",
"Porsche",
"RAM",
"Subaru",
"Tesla",
"Toyota",
"Volkswagen",
"Volvo"
]
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Vehicle Repair Estimate
GETJSON ResponseOverview
The Model Options API returns a list of all available vehicle models for a specific year and make combination. Use this endpoint after the user selects both year and make.
- RETURNS
- Array of available models for the specified year and make
- REQUIRED
- Year and make parameters in the URL path
HTTP Request
Endpoint
https://api.vehicledatabases.com/repair-estimates/options/model/{year}/{make}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/repair-estimates/options/model/{year}/{make}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
yearRequired- Vehicle Year
makeRequired- Vehicle Make
JSON Response
The response is a JSON of all the information associated with a VIN number or YMMT.
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"year": "2020",
"make": "Honda",
"models": [
"Accord",
"Accord Hybrid",
"CR V",
"CR V Hybrid",
"Civic",
"Civic SI",
"Civic Type R",
"Clarity Fuel Cell",
"Clarity Plug IN Hybrid",
"FIT",
"HR V",
"Insight",
"Odyssey",
"Passport",
"Pilot",
"Ridgeline"
]
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Vehicle Repair Estimate
GETJSON ResponseOverview
The Trim Options API returns a list of all available vehicle trims for a specific year, make, and model combination. This is typically the final endpoint called before making the actual decode request.
- RETURNS
- Array of available trims for the specified year, make, and model
- REQUIRED
- Year, make, and model parameters in the URL path
HTTP Request
Endpoint
https://api.vehicledatabases.com/repair-estimates/options/trim/{year}/{make}/{model}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/repair-estimates/options/trim/{year}/{make}/{model}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
yearRequired- Vehicle Year
makeRequired- Vehicle Make
modelRequired- Vehicle Model
JSON Response
The response is a JSON of all the information associated with a VIN number or YMMT.
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"year": "2020",
"make": "Honda",
"model": "Accord",
"trims": [
"EX 1.5T 4dr Sedan CVT",
"EX-L 1.5T 4dr Sedan CVT",
"EX-L 2.0T 4dr Sedan Automatic",
"LX 1.5T 4dr Sedan CVT",
"Sport 1.5T 4dr Sedan Manual",
"Sport 2.0T 4dr Sedan Automatic",
"Touring 2.0T 4dr Sedan Automatic"
]
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.